#include <netinet/in.h>
#include <netinet/tcp.h>
#include <pcap.h>
#include <stdio.h>
#include <stdlib.h>

#include "dns.h"
#include "print.h"
#include "scan.h"

int main(int ac, char **av)
{
	if (ac < 2) {
		dprintf(2, "Usage: ft_nmap [Scan Type(s)] [Options] {target "
		           "specification}\n");
		print_usage();
		return 0;
	}
	// TODO parse arguments
	(void)av;

	char ip_addr[INET_ADDRSTRLEN];
	struct sockaddr_in addr_con;
	if (dns_lookup(ip_addr, av[1], &addr_con)) {
		dprintf(2, "ft_nmap: failed to retrieve ip address from %s\n",
		        av[1]);
		return 1;
	}
	if (routine(ip_addr, SCAN_SYN, 1, 1024) < 0) {
		dprintf(2, "ft_nmap: failed to scan ports\n");
		return 1;
	}

	return 0;
}
